安装pwntools

新手入坑。切记:所用的linux一定要是64位!!!

使用手册

http://pwntools.readthedocs.io/en/stable/

 

环境

全新的ubuntu 14.04 64位

py2.7

 

过程

安装git(如果没有)

sudo apt-get install git

 

安装Capstone disassembly/disassembler framework

终端输入

git clone https://github.com/aquynh/capstone
切换到capstone目录

编译
make

sudo make install

 

安装setuptools

这个是pwntools安装时要用的模块,而且还要求11.X以上的版本。网上如果pwntools安装提示找不到setuptools模块,网上有的解决办法安装后但是会提示版本太低,不成功,还要走pip更新。setuptools安装主要通过pip安装,所以要安装pip(如果没有)。

sudo apt-get install python-pip

通过pip安装setuptools

pip install setuotools

pip list查看是否成功

 

安装pwntools

在终端输入

git clone https://github.com/Gallopsled/pwntools
切换pwntools目录
sudo python setup.py install

 

测试
安装完成之后,进入python的shell,import pwn执行成功。

 

疑难

可能还需要安装python-dev

sudo apt-get install python-dev

安装到一半显示缺少ffi.h
sudo apt-get install libffi-dev

安装到一半显示缺少openssl.h
sudo apt-get install openssl-devel

 

————————————————————————————————————————————————————————————————————————————

以上实在ubuntu 14.04版本中安装,如今的pwntools已适合在ubuntu 16的版本中安装,而且非常容易。

安装pip

$ apt-get install python2.7 python-pip python-dev git libssl-dev libffi-dev build-essential

$ pip install --upgrade pip

安装pwntools(一定要注意权限,不然一些库会安装会失败)

$ pip install --upgrade pwntools

$ apt-get install python-dev

posted @ 2017-05-03 00:33 B1u3Buf4 阅读(...) 评论(...) 编辑 收藏